1. Registry
  2. Packages
  3. Konnect Provider
  4. API Docs
  5. AiCostExportSchedule
Viewing docs for konnect 3.28.0
published on Friday, Nov 6, 2026 by kong
konnect
Viewing docs for konnect 3.28.0
published on Friday, Nov 6, 2026 by kong

    AICostExportSchedule Resource

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as konnect from "@pulumi/konnect";
    
    const myAicostexportschedule = new konnect.AiCostExportSchedule("my_aicostexportschedule", {
        cadence: "weekly",
        compression: "gzip",
        dataset: "focus",
        filters: "{ \"see\": \"documentation\" }",
        focus: {
            chargePeriod: "day",
            tagKeys: ["..."],
            version: "1.4",
        },
        format: "csv",
        labels: {
            key: "value",
        },
        name: "...my_name...",
        schemaVersion: 1,
        status: "active",
        timeZone: "UTC",
    });
    
    import pulumi
    import pulumi_konnect as konnect
    
    my_aicostexportschedule = konnect.AiCostExportSchedule("my_aicostexportschedule",
        cadence="weekly",
        compression="gzip",
        dataset="focus",
        filters="{ \"see\": \"documentation\" }",
        focus={
            "charge_period": "day",
            "tag_keys": ["..."],
            "version": "1.4",
        },
        format="csv",
        labels={
            "key": "value",
        },
        name="...my_name...",
        schema_version=1,
        status="active",
        time_zone="UTC")
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-terraform-provider/sdks/go/konnect/v3/konnect"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := konnect.NewAiCostExportSchedule(ctx, "my_aicostexportschedule", &konnect.AiCostExportScheduleArgs{
    			Cadence:     pulumi.String("weekly"),
    			Compression: pulumi.String("gzip"),
    			Dataset:     pulumi.String("focus"),
    			Filters:     pulumi.String("{ \"see\": \"documentation\" }"),
    			Focus: &konnect.AiCostExportScheduleFocusArgs{
    				ChargePeriod: pulumi.String("day"),
    				TagKeys: pulumi.StringArray{
    					pulumi.String("..."),
    				},
    				Version: pulumi.String("1.4"),
    			},
    			Format: pulumi.String("csv"),
    			Labels: pulumi.StringMap{
    				"key": pulumi.String("value"),
    			},
    			Name:          pulumi.String("...my_name..."),
    			SchemaVersion: pulumi.Float64(1),
    			Status:        pulumi.String("active"),
    			TimeZone:      pulumi.String("UTC"),
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Konnect = Pulumi.Konnect;
    
    return await Deployment.RunAsync(() => 
    {
        var myAicostexportschedule = new Konnect.AiCostExportSchedule("my_aicostexportschedule", new()
        {
            Cadence = "weekly",
            Compression = "gzip",
            Dataset = "focus",
            Filters = "{ \"see\": \"documentation\" }",
            Focus = new Konnect.Inputs.AiCostExportScheduleFocusArgs
            {
                ChargePeriod = "day",
                TagKeys = new[]
                {
                    "...",
                },
                Version = "1.4",
            },
            Format = "csv",
            Labels = 
            {
                { "key", "value" },
            },
            Name = "...my_name...",
            SchemaVersion = 1,
            Status = "active",
            TimeZone = "UTC",
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.konnect.AiCostExportSchedule;
    import com.pulumi.konnect.AiCostExportScheduleArgs;
    import com.pulumi.konnect.inputs.AiCostExportScheduleFocusArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var myAicostexportschedule = new AiCostExportSchedule("myAicostexportschedule", AiCostExportScheduleArgs.builder()
                .cadence("weekly")
                .compression("gzip")
                .dataset("focus")
                .filters("{ \"see\": \"documentation\" }")
                .focus(AiCostExportScheduleFocusArgs.builder()
                    .chargePeriod("day")
                    .tagKeys("...")
                    .version("1.4")
                    .build())
                .format("csv")
                .labels(Map.of("key", "value"))
                .name("...my_name...")
                .schemaVersion(1.0)
                .status("active")
                .timeZone("UTC")
                .build());
    
        }
    }
    
    resources:
      myAicostexportschedule:
        type: konnect:AiCostExportSchedule
        name: my_aicostexportschedule
        properties:
          cadence: weekly
          compression: gzip
          dataset: focus
          filters: '{ "see": "documentation" }'
          focus:
            chargePeriod: day
            tagKeys:
              - '...'
            version: '1.4'
          format: csv
          labels:
            key: value
          name: '...my_name...'
          schemaVersion: 1
          status: active
          timeZone: UTC
    
    Example coming soon!
    

    Create AiCostExportSchedule Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new AiCostExportSchedule(name: string, args: AiCostExportScheduleArgs, opts?: CustomResourceOptions);
    @overload
    def AiCostExportSchedule(resource_name: str,
                             args: AiCostExportScheduleArgs,
                             opts: Optional[ResourceOptions] = None)
    
    @overload
    def AiCostExportSchedule(resource_name: str,
                             opts: Optional[ResourceOptions] = None,
                             cadence: Optional[str] = None,
                             compression: Optional[str] = None,
                             dataset: Optional[str] = None,
                             format: Optional[str] = None,
                             filters: Optional[str] = None,
                             focus: Optional[AiCostExportScheduleFocusArgs] = None,
                             labels: Optional[Mapping[str, str]] = None,
                             name: Optional[str] = None,
                             schema_version: Optional[float] = None,
                             status: Optional[str] = None,
                             time_zone: Optional[str] = None)
    func NewAiCostExportSchedule(ctx *Context, name string, args AiCostExportScheduleArgs, opts ...ResourceOption) (*AiCostExportSchedule, error)
    public AiCostExportSchedule(string name, AiCostExportScheduleArgs args, CustomResourceOptions? opts = null)
    public AiCostExportSchedule(String name, AiCostExportScheduleArgs args)
    public AiCostExportSchedule(String name, AiCostExportScheduleArgs args, CustomResourceOptions options)
    
    type: konnect:AiCostExportSchedule
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "konnect_ai_cost_export_schedule" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args AiCostExportScheduleArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args AiCostExportScheduleArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args AiCostExportScheduleArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args AiCostExportScheduleArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args AiCostExportScheduleArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var aiCostExportScheduleResource = new Konnect.AiCostExportSchedule("aiCostExportScheduleResource", new()
    {
        Cadence = "string",
        Compression = "string",
        Dataset = "string",
        Format = "string",
        Filters = "string",
        Focus = new Konnect.Inputs.AiCostExportScheduleFocusArgs
        {
            Version = "string",
            ChargePeriod = "string",
            TagKeys = new[]
            {
                "string",
            },
        },
        Labels = 
        {
            { "string", "string" },
        },
        Name = "string",
        SchemaVersion = 0.0,
        Status = "string",
        TimeZone = "string",
    });
    
    example, err := konnect.NewAiCostExportSchedule(ctx, "aiCostExportScheduleResource", &konnect.AiCostExportScheduleArgs{
    	Cadence:     pulumi.String("string"),
    	Compression: pulumi.String("string"),
    	Dataset:     pulumi.String("string"),
    	Format:      pulumi.String("string"),
    	Filters:     pulumi.String("string"),
    	Focus: &konnect.AiCostExportScheduleFocusArgs{
    		Version:      pulumi.String("string"),
    		ChargePeriod: pulumi.String("string"),
    		TagKeys: pulumi.StringArray{
    			pulumi.String("string"),
    		},
    	},
    	Labels: pulumi.StringMap{
    		"string": pulumi.String("string"),
    	},
    	Name:          pulumi.String("string"),
    	SchemaVersion: pulumi.Float64(0),
    	Status:        pulumi.String("string"),
    	TimeZone:      pulumi.String("string"),
    })
    
    resource "konnect_ai_cost_export_schedule" "aiCostExportScheduleResource" {
      lifecycle {
        create_before_destroy = true
      }
      cadence     = "string"
      compression = "string"
      dataset     = "string"
      format      = "string"
      filters     = "string"
      focus = {
        version       = "string"
        charge_period = "string"
        tag_keys      = ["string"]
      }
      labels = {
        "string" = "string"
      }
      name           = "string"
      schema_version = 0
      status         = "string"
      time_zone      = "string"
    }
    
    var aiCostExportScheduleResource = new AiCostExportSchedule("aiCostExportScheduleResource", AiCostExportScheduleArgs.builder()
        .cadence("string")
        .compression("string")
        .dataset("string")
        .format("string")
        .filters("string")
        .focus(AiCostExportScheduleFocusArgs.builder()
            .version("string")
            .chargePeriod("string")
            .tagKeys("string")
            .build())
        .labels(Map.of("string", "string"))
        .name("string")
        .schemaVersion(0.0)
        .status("string")
        .timeZone("string")
        .build());
    
    ai_cost_export_schedule_resource = konnect.AiCostExportSchedule("aiCostExportScheduleResource",
        cadence="string",
        compression="string",
        dataset="string",
        format="string",
        filters="string",
        focus={
            "version": "string",
            "charge_period": "string",
            "tag_keys": ["string"],
        },
        labels={
            "string": "string",
        },
        name="string",
        schema_version=float(0),
        status="string",
        time_zone="string")
    
    const aiCostExportScheduleResource = new konnect.AiCostExportSchedule("aiCostExportScheduleResource", {
        cadence: "string",
        compression: "string",
        dataset: "string",
        format: "string",
        filters: "string",
        focus: {
            version: "string",
            chargePeriod: "string",
            tagKeys: ["string"],
        },
        labels: {
            string: "string",
        },
        name: "string",
        schemaVersion: 0,
        status: "string",
        timeZone: "string",
    });
    
    type: konnect:AiCostExportSchedule
    properties:
        cadence: string
        compression: string
        dataset: string
        filters: string
        focus:
            chargePeriod: string
            tagKeys:
                - string
            version: string
        format: string
        labels:
            string: string
        name: string
        schemaVersion: 0
        status: string
        timeZone: string
    

    AiCostExportSchedule Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The AiCostExportSchedule resource accepts the following input properties:

    Cadence string
    The length of each period, which sets the range of each export.
    Compression string

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    Dataset string
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    Format string
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    Filters string

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    Focus AiCostExportScheduleFocus

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    Labels Dictionary<string, string>
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    Name string

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    SchemaVersion double

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    Status string

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    TimeZone string

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    Cadence string
    The length of each period, which sets the range of each export.
    Compression string

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    Dataset string
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    Format string
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    Filters string

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    Focus AiCostExportScheduleFocusArgs

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    Labels map[string]string
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    Name string

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    SchemaVersion float64

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    Status string

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    TimeZone string

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    cadence string
    The length of each period, which sets the range of each export.
    compression string

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    dataset string
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    format string
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    filters string

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    focus object

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    labels map(string)
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    name string

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    schema_version number

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    status string

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    time_zone string

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    cadence String
    The length of each period, which sets the range of each export.
    compression String

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    dataset String
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    format String
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    filters String

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    focus AiCostExportScheduleFocus

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    labels Map<String,String>
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    name String

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    schemaVersion Double

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    status String

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    timeZone String

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    cadence string
    The length of each period, which sets the range of each export.
    compression string

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    dataset string
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    format string
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    filters string

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    focus AiCostExportScheduleFocus

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    labels {[key: string]: string}
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    name string

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    schemaVersion number

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    status string

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    timeZone string

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    cadence str
    The length of each period, which sets the range of each export.
    compression str

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    dataset str
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    format str
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    filters str

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    focus AiCostExportScheduleFocusArgs

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    labels Mapping[str, str]
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    name str

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    schema_version float

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    status str

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    time_zone str

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    cadence String
    The length of each period, which sets the range of each export.
    compression String

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    dataset String
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    format String
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    filters String

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    focus Property Map

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    labels Map<String>
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    name String

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    schemaVersion Number

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    status String

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    timeZone String

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    Outputs

    All input properties are implicitly available as output properties. Additionally, the AiCostExportSchedule resource produces the following output properties:

    CreatedAt string
    An ISO-8601 timestamp representation of entity creation date.
    Id string
    The provider-assigned unique ID for this managed resource.
    NextRunAt string

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    UpdatedAt string
    An ISO-8601 timestamp representation of entity update date.
    CreatedAt string
    An ISO-8601 timestamp representation of entity creation date.
    Id string
    The provider-assigned unique ID for this managed resource.
    NextRunAt string

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    UpdatedAt string
    An ISO-8601 timestamp representation of entity update date.
    created_at string
    An ISO-8601 timestamp representation of entity creation date.
    id string
    The provider-assigned unique ID for this managed resource.
    next_run_at string

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    updated_at string
    An ISO-8601 timestamp representation of entity update date.
    createdAt String
    An ISO-8601 timestamp representation of entity creation date.
    id String
    The provider-assigned unique ID for this managed resource.
    nextRunAt String

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    updatedAt String
    An ISO-8601 timestamp representation of entity update date.
    createdAt string
    An ISO-8601 timestamp representation of entity creation date.
    id string
    The provider-assigned unique ID for this managed resource.
    nextRunAt string

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    updatedAt string
    An ISO-8601 timestamp representation of entity update date.
    created_at str
    An ISO-8601 timestamp representation of entity creation date.
    id str
    The provider-assigned unique ID for this managed resource.
    next_run_at str

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    updated_at str
    An ISO-8601 timestamp representation of entity update date.
    createdAt String
    An ISO-8601 timestamp representation of entity creation date.
    id String
    The provider-assigned unique ID for this managed resource.
    nextRunAt String

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    updatedAt String
    An ISO-8601 timestamp representation of entity update date.

    Look up Existing AiCostExportSchedule Resource

    Get an existing AiCostExportSchedule resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.

    public static get(name: string, id: Input<ID>, state?: AiCostExportScheduleState, opts?: CustomResourceOptions): AiCostExportSchedule
    @staticmethod
    def get(resource_name: str,
            id: str,
            opts: Optional[ResourceOptions] = None,
            cadence: Optional[str] = None,
            compression: Optional[str] = None,
            created_at: Optional[str] = None,
            dataset: Optional[str] = None,
            filters: Optional[str] = None,
            focus: Optional[AiCostExportScheduleFocusArgs] = None,
            format: Optional[str] = None,
            labels: Optional[Mapping[str, str]] = None,
            name: Optional[str] = None,
            next_run_at: Optional[str] = None,
            schema_version: Optional[float] = None,
            status: Optional[str] = None,
            time_zone: Optional[str] = None,
            updated_at: Optional[str] = None) -> AiCostExportSchedule
    func GetAiCostExportSchedule(ctx *Context, name string, id IDInput, state *AiCostExportScheduleState, opts ...ResourceOption) (*AiCostExportSchedule, error)
    public static AiCostExportSchedule Get(string name, Input<string> id, AiCostExportScheduleState? state, CustomResourceOptions? opts = null)
    public static AiCostExportSchedule get(String name, Output<String> id, AiCostExportScheduleState state, CustomResourceOptions options)
    resources:  _:    type: konnect:AiCostExportSchedule    get:      id: ${id}
    import {
      to = konnect_ai_cost_export_schedule.example
      id = "${id}"
    }
    
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    resource_name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    name
    The unique name of the resulting resource.
    id
    The unique provider ID of the resource to lookup.
    state
    Any extra arguments used during the lookup.
    opts
    A bag of options that control this resource's behavior.
    The following state arguments are supported:
    Cadence string
    The length of each period, which sets the range of each export.
    Compression string

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    CreatedAt string
    An ISO-8601 timestamp representation of entity creation date.
    Dataset string
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    Filters string

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    Focus AiCostExportScheduleFocus

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    Format string
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    Labels Dictionary<string, string>
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    Name string

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    NextRunAt string

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    SchemaVersion double

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    Status string

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    TimeZone string

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    UpdatedAt string
    An ISO-8601 timestamp representation of entity update date.
    Cadence string
    The length of each period, which sets the range of each export.
    Compression string

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    CreatedAt string
    An ISO-8601 timestamp representation of entity creation date.
    Dataset string
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    Filters string

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    Focus AiCostExportScheduleFocusArgs

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    Format string
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    Labels map[string]string
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    Name string

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    NextRunAt string

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    SchemaVersion float64

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    Status string

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    TimeZone string

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    UpdatedAt string
    An ISO-8601 timestamp representation of entity update date.
    cadence string
    The length of each period, which sets the range of each export.
    compression string

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    created_at string
    An ISO-8601 timestamp representation of entity creation date.
    dataset string
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    filters string

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    focus object

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    format string
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    labels map(string)
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    name string

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    next_run_at string

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    schema_version number

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    status string

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    time_zone string

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    updated_at string
    An ISO-8601 timestamp representation of entity update date.
    cadence String
    The length of each period, which sets the range of each export.
    compression String

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    createdAt String
    An ISO-8601 timestamp representation of entity creation date.
    dataset String
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    filters String

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    focus AiCostExportScheduleFocus

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    format String
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    labels Map<String,String>
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    name String

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    nextRunAt String

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    schemaVersion Double

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    status String

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    timeZone String

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    updatedAt String
    An ISO-8601 timestamp representation of entity update date.
    cadence string
    The length of each period, which sets the range of each export.
    compression string

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    createdAt string
    An ISO-8601 timestamp representation of entity creation date.
    dataset string
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    filters string

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    focus AiCostExportScheduleFocus

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    format string
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    labels {[key: string]: string}
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    name string

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    nextRunAt string

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    schemaVersion number

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    status string

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    timeZone string

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    updatedAt string
    An ISO-8601 timestamp representation of entity update date.
    cadence str
    The length of each period, which sets the range of each export.
    compression str

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    created_at str
    An ISO-8601 timestamp representation of entity creation date.
    dataset str
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    filters str

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    focus AiCostExportScheduleFocusArgs

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    format str
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    labels Mapping[str, str]
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    name str

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    next_run_at str

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    schema_version float

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    status str

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    time_zone str

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    updated_at str
    An ISO-8601 timestamp representation of entity update date.
    cadence String
    The length of each period, which sets the range of each export.
    compression String

    How each export's data files are compressed.

    none or gzip for csv, and zstd for parquet. possible known values include one of ["none", "gzip", "zstd"]

    createdAt String
    An ISO-8601 timestamp representation of entity creation date.
    dataset String
    The data that each export holds. possible known values include one of ["usage_events", "focus"]
    filters String

    Filters that select the events to export, with the same fields, operators, and shape as the filters of POST /v1/ai-cost-management/events/query. Every filter must match.

    Defaults to {}. Parsed as JSON.

    focus Property Map

    The FOCUS options of each export.

    Required when dataset is focus, and isn't accepted for any other dataset.

    format String
    The file format of each export's data files. possible known values include one of ["parquet", "csv"]
    labels Map<String>
    Key-value metadata on the schedule. The schedule list can filter by label. Each export that the schedule creates copies the labels as they are at that moment.
    name String

    A human-readable name for the schedule.

    1 to 100 characters after the server removes leading and trailing whitespace.

    nextRunAt String

    When the period in progress ends and the schedule creates its export, as an RFC 3339 timestamp in UTC. That export starts 6 hours later, so that events that arrive late can be stored first.

    null while the schedule is paused. It's in the past while a run is late.

    schemaVersion Number

    The schema version of each export's data files within the dataset, which fixes their columns and values. Each export that the schedule creates copies it, so a newer schema version doesn't change the schedule's exports.

    Defaults to 1, also once newer schema versions exist, so a replacement that omits schema_version sets 1. Default: 1; must be 1

    status String

    Whether the schedule creates exports.

    Defaults to active, so a replacement that omits status resumes a paused schedule. possible known values include one of ["active", "paused"]; Default: "active"

    timeZone String

    The IANA time zone in which the periods start. Each export that the schedule creates has this time_zone.

    An IANA time zone name as the time zone database spells it, such as Europe/Budapest. Offsets such as +02:00 aren't accepted. A replacement can't change it, so a replacement of a schedule whose time_zone isn't UTC must repeat it. Defaults to UTC. Default: "UTC"; Requires replacement if changed.

    updatedAt String
    An ISO-8601 timestamp representation of entity update date.

    Supporting Types

    AiCostExportScheduleFocus, AiCostExportScheduleFocusArgs

    Version string
    The FOCUS version of the files, which decides what their cost columns hold. possible known values include one of ["1.3", "1.4"]
    ChargePeriod string
    The length of each row's charge period.
    TagKeys List<string>

    Tag keys whose values split the rows. Events with different values for a named key, or without the key, go into different rows. A row's Tags column holds the named keys that its events carry, with their values. A key with a different value for every agent session or CI run, such as agent-session or ci-run, makes about one row per session or run.

    At most 64 keys, each listed once and following the tag key rules: 1 to 128 characters, each a lowercase ASCII letter, a digit, ., _, or -. Defaults to []. Default: []

    Version string
    The FOCUS version of the files, which decides what their cost columns hold. possible known values include one of ["1.3", "1.4"]
    ChargePeriod string
    The length of each row's charge period.
    TagKeys []string

    Tag keys whose values split the rows. Events with different values for a named key, or without the key, go into different rows. A row's Tags column holds the named keys that its events carry, with their values. A key with a different value for every agent session or CI run, such as agent-session or ci-run, makes about one row per session or run.

    At most 64 keys, each listed once and following the tag key rules: 1 to 128 characters, each a lowercase ASCII letter, a digit, ., _, or -. Defaults to []. Default: []

    version string
    The FOCUS version of the files, which decides what their cost columns hold. possible known values include one of ["1.3", "1.4"]
    charge_period string
    The length of each row's charge period.
    tag_keys list(string)

    Tag keys whose values split the rows. Events with different values for a named key, or without the key, go into different rows. A row's Tags column holds the named keys that its events carry, with their values. A key with a different value for every agent session or CI run, such as agent-session or ci-run, makes about one row per session or run.

    At most 64 keys, each listed once and following the tag key rules: 1 to 128 characters, each a lowercase ASCII letter, a digit, ., _, or -. Defaults to []. Default: []

    version String
    The FOCUS version of the files, which decides what their cost columns hold. possible known values include one of ["1.3", "1.4"]
    chargePeriod String
    The length of each row's charge period.
    tagKeys List<String>

    Tag keys whose values split the rows. Events with different values for a named key, or without the key, go into different rows. A row's Tags column holds the named keys that its events carry, with their values. A key with a different value for every agent session or CI run, such as agent-session or ci-run, makes about one row per session or run.

    At most 64 keys, each listed once and following the tag key rules: 1 to 128 characters, each a lowercase ASCII letter, a digit, ., _, or -. Defaults to []. Default: []

    version string
    The FOCUS version of the files, which decides what their cost columns hold. possible known values include one of ["1.3", "1.4"]
    chargePeriod string
    The length of each row's charge period.
    tagKeys string[]

    Tag keys whose values split the rows. Events with different values for a named key, or without the key, go into different rows. A row's Tags column holds the named keys that its events carry, with their values. A key with a different value for every agent session or CI run, such as agent-session or ci-run, makes about one row per session or run.

    At most 64 keys, each listed once and following the tag key rules: 1 to 128 characters, each a lowercase ASCII letter, a digit, ., _, or -. Defaults to []. Default: []

    version str
    The FOCUS version of the files, which decides what their cost columns hold. possible known values include one of ["1.3", "1.4"]
    charge_period str
    The length of each row's charge period.
    tag_keys Sequence[str]

    Tag keys whose values split the rows. Events with different values for a named key, or without the key, go into different rows. A row's Tags column holds the named keys that its events carry, with their values. A key with a different value for every agent session or CI run, such as agent-session or ci-run, makes about one row per session or run.

    At most 64 keys, each listed once and following the tag key rules: 1 to 128 characters, each a lowercase ASCII letter, a digit, ., _, or -. Defaults to []. Default: []

    version String
    The FOCUS version of the files, which decides what their cost columns hold. possible known values include one of ["1.3", "1.4"]
    chargePeriod String
    The length of each row's charge period.
    tagKeys List<String>

    Tag keys whose values split the rows. Events with different values for a named key, or without the key, go into different rows. A row's Tags column holds the named keys that its events carry, with their values. A key with a different value for every agent session or CI run, such as agent-session or ci-run, makes about one row per session or run.

    At most 64 keys, each listed once and following the tag key rules: 1 to 128 characters, each a lowercase ASCII letter, a digit, ., _, or -. Defaults to []. Default: []

    Import

    In Terraform v1.5.0 and later, the import block can be used with the id attribute, for example:

    terraform

    import {

    to = konnect_ai_cost_export_schedule.my_konnect_ai_cost_export_schedule

    id = “5f9fd312-a987-4628-b4c5-bb4f4fddd5f7”

    }

    The pulumi import command can be used, for example:

    $ pulumi import konnect:index/aiCostExportSchedule:AiCostExportSchedule my_konnect_ai_cost_export_schedule "5f9fd312-a987-4628-b4c5-bb4f4fddd5f7"
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    konnect kong/terraform-provider-konnect
    License
    Notes
    This Pulumi package is based on the konnect Terraform Provider.
    konnect
    Viewing docs for konnect 3.28.0
    published on Friday, Nov 6, 2026 by kong

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial